package recipe

import (
	"testing"

	"coopcloud.tech/abra/pkg/catalogue"
	"github.com/stretchr/testify/assert"
)

func TestGetVersionLabelLocalDoesNotUseTimeoutLabel(t *testing.T) {
	if err := catalogue.EnsureCatalogue(); err != nil {
		t.Fatal(err)
	}

	offline := true
	recipe, err := Get("traefik", offline)
	if err != nil {
		t.Fatal(err)
	}

	for i := 1; i < 1000; i++ {
		label, err := GetVersionLabelLocal(recipe)
		if err != nil {
			t.Fatal(err)
		}

		// NOTE(d1): this is potentially quite a brittle unit test as it needs to
		// hardcode the default timeout label to ensure that the label parser never
		// returns it. hopefully this won't fail too often! if you're here because
		// of a failure, just update the `defaultTimeoutLabel` value & permalink
		// below
		// https://git.coopcloud.tech/coop-cloud/traefik/src/commit/ac3a47fe8ca3ef92db84f64cfedfbb348000faee/.env.sample#L2
		defaultTimeoutLabel := "300"
		assert.NotEqual(t, label, defaultTimeoutLabel)
	}
}
