#!/usr/bin/env bash

setup() {
  load "$PWD/tests/integration/helpers/common"
  _common_setup
}

@test "recipe list" {
  run $ABRA recipe list
  assert_success
  NUM_RECIPES=$(jq length "$ABRA_DIR/catalogue/recipes.json")
  assert_output --partial "total recipes: $NUM_RECIPES"
}

@test "recipe list with pattern" {
  run $ABRA recipe list --pattern cloud
  assert_success
  assert_output --partial 'nextcloud'
  refute_output --partial 'matrix-synapse'
}
